Subject: RE: [rohc] ROHC-TCP: Update and some topics to be discussed

From: "Price, Richard" <[email-masked]>
Date: Tue, 17 Jun 2003 15:58:08 +0100

> > One issue that isn't mentioned below is the packet formats
> > themselves (i.e. the CO packets and the IR-REPLICATE packets).
> > This is the last major gap in the ROHC-TCP profile - it would
> > be great if we could fill it in before Vienna, as we'd then
> > have enough to offer a real, working TCP compression scheme...
> > 
> > For the CO packets, we've made an initial proposal in:
> > 
> > draft-price-rohc-tcp-packet-formats-00.txt
> > 
> > The draft lists the packet formats in both ROHC-FN form and 
> > box notation form, so we can discuss the formats themselves
> > without worrying about how they're documented.
> 
> I do not think our problem here is in the details, but rather
> how to put the formats in ROHC TCP. If we had known that, we 
> could easily include a first-attempt format set and then improved
> it, but I do not think that makes sense without first agreeing
> on the format documentation approach.

In this case, should the ROHC-TCP draft contain proposals for the
IR and IR-DYN packets? Is it really ok to include these without
first agreeing on the format documentation approach?

Regards,

Richard
_______________________________________________
Rohc mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/rohc

---

From: Ghyslain Pelletier <[email-masked]>
Date: Tue, 17 Jun 2003 17:12:59 +0200

Richard,

The editor added formats for IR and IR-DYN in the ROHC-TCP draft because
he unfortunately hadn't realized that you also had a proposal for those
and was under the belief that the IRs would follow the same structure as
in RFC-3095. The idea was also to generate discussions on those to at
least move forward with IR formats, while waiting for the CO packets. I
should have added an author's note to this effect in the draft. Mea
culpa. Obviously the IRs will be adjusted based on agreements on the
list.

On the other hand I do agree with Lars-Erik that the issue on how to
document the packet formats is the pressing issue. While this does not
prevent us to comment on the formats that you have suggested, it does
make it hard to include them to the ROHC-TCP draft at this point.

/Ghyslain

Ghyslain Pelletier, Dipl. Ing.
Wireless IP Optimizations
AWARE - Advanced Wireless Algorithm Research
Ericsson Research, Corporate Unit

Ericsson AB, Laboratoriegränd 11
Box 920, S-97128 Luleå, SWEDEN
Phone : +46 (0) 920 20 24 32 
Mobile: +46 (0) 706 09 27 73
[email-masked]
http://www.ericsson.com

"Price, Richard" wrote:
> --
> Registered Office: Roke Manor Research Ltd, Siemens House, Oldbury, Bracknell,
> Berkshire. RG12 8FZ
> 
> The information contained in this e-mail and any attachments is confidential to
> Roke Manor Research Ltd and must not be passed to any third party without
> permission. This communication is for information only and shall not create or
> change any contractual relationship.